package ru.ulstu.pages;

import org.primefaces.model.chart.Axis;
import org.primefaces.model.chart.AxisType;
import org.primefaces.model.chart.LineChartModel;
import org.primefaces.model.chart.LineChartSeries;

import javax.annotation.PostConstruct;
import javax.faces.view.ViewScoped;
import javax.inject.Named;
import java.io.Serializable;

@Named
@ViewScoped
public class IndexView implements Serializable {
    private LineChartModel lineModel1;

    public LineChartModel getLineModel1() {
        return lineModel1;
    }

    @PostConstruct
    public void init() {
        createChart();
    }

    private LineChartModel initLinearModel() {
        LineChartModel model = new LineChartModel();

        LineChartSeries series1 = new LineChartSeries();
        series1.setLabel("Временной ряд");

        series1.set(1, 2);
        series1.set(2, 1);
        series1.set(3, 3);
        series1.set(4, 6);
        series1.set(5, 8);

        LineChartSeries series2 = new LineChartSeries();
        series2.setLabel("Сглаженный ряд");

        series2.set(1, 6);
        series2.set(2, 3);
        series2.set(3, 2);
        series2.set(4, 7);
        series2.set(5, 9);

        LineChartSeries series3 = new LineChartSeries();
        series3.setLabel("Прогноз");

        series3.set(1, 6);
        series3.set(2, 3);
        series3.set(3, 2);
        series3.set(4, 7);
        series3.set(6, 9);
        series3.set(7, 9);

        model.addSeries(series1);
        model.addSeries(series2);
        model.addSeries(series3);

        return model;
    }

    public void createChart() {
        lineModel1 = initLinearModel();
        lineModel1.setTitle("Сглаживание временного ряда");
        lineModel1.setLegendPosition("e");
        Axis yAxis = lineModel1.getAxis(AxisType.Y);
        yAxis.setMin(0);
        yAxis.setMax(10);
    }
}
